计算管理/主机相关接口/PCI设备相关接口
GETPCI Device Related APIs起始版本 2.4同步需要认证
获取可加载PCI设备
获取可加载PCI设备
调试可用性
在线调试
使用当前认证信息和示例参数提交 Mock 请求。
查询参数
请求参数
查询参数
hostUuidString主机UUID
clusterUuidsList集群UUID。
typesList类型。
systemTagsList系统标签。
userTagsList用户标签。
响应状态
请求地址
GET/zstack/v1/pci-device/candidate-pci-devices-for-new-create-vm
/zstack/v1/pci-device/candidate-pci-devices-for-new-create-vm
请求示例
curl -X GET 'http://{host}/zstack/v1/pci-device/candidate-pci-devices-for-new-create-vm?hostUuid=<hostUuid>&clusterUuids=<clusterUuids>&types=<types>&systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'
响应示例
200{ "inventories": [ { "uuid": "1d2d54391e4d303cbf12543508b208ba", "hostUuid": "d98a93185af134fda630723444fd49d4", "type": "GPU_Video_Controller", "status": "Attached", "vendorId": "10de", "deviceId": "0e0f", "subvendorId": "10de", "subdeviceId": "118b", "pciDeviceAddress": "0000:06:00.1" } ] }变更历史
此 API 暂无变更历史记录。
